<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Смайлы'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();


$path = 'style/smiles';

if (isset($_GET['cat']))
{
if ($_GET['cat'] == 0)
{
$smiles=file("smiles_mod.txt");
$smiles2=implode("",$smiles);
}
else
{
$smiles=file("smiles.txt");
$smiles2=implode("",$smiles);
$smiles2 = explode("-v--v-", $smiles2);
$smiles2 = $smiles2[$_GET['cat']];
}

for ($i=0;$i<count($smiles);$i++)
{
$str_sm=explode(' ',trim($smiles[$i]));
$str_sm2='';
for ($z=1;$z<count($str_sm);$z++)
{
if ($z>1){$str_sm2.=' ';}
$str_sm2.=$str_sm[$z];
}
$str_sm2=explode(',',$str_sm2);
for ($i2=0;$i2<count($str_sm2);$i2++)
{
$str_sm2[$i2]=stripcslashes(htmlspecialchars($str_sm2[$i2]));
if (!ereg("<img src=\"../$path/$str_sm[0].gif\" alt=\"\" />", $smiles2))
$smiles2=str_replace("$str_sm2[$i2]", "<img src=\"../$path/$str_sm[0].gif\" alt=\"\" /> $str_sm2[$i2]", $smiles2);
$smiles2=str_replace("$str_sm2[$i2]", "$str_sm2[$i2]", $smiles2);
}
}

$smiles=str_replace("\n","<br />",str_replace("\r","<br />",str_replace("\r\n","<br />",$smiles2)));

echo "<div class=\"opis\">$smiles</div>\n";
}

else
{
if (isset($user) && $user['level']>0)
echo '<a href="?cat=0">Смайлы модера</a><br />';

$cats = array(1 => 'Быстрые смайлы', 'Действия', 'Добро/зло', 'Драки/оружие', 'Дурдом', 'Еда/алкоголь', 'Жесты', 'Животные', 'Значки', 'Любовь', 'Музыка', 'Надписи', 'Новый год', 'Персонажи', 'Разное', 'Спорт', 'Техника', 'Цветы', 'Эмоции');

foreach ($cats as $cat => $name)
echo "<a href=\"?cat=$cat\">$name</a><br />";
}

if (isset($_GET['cat'])) echo "&lt;<a href=\"/smiles/\">Разделы смайлов</a>\n";

if(isset($_SESSION['refer']) && $_SESSION['refer']!=NULL && otkuda($_SESSION['refer']))
echo "&laquo;<a href='$_SESSION[refer]'>".otkuda($_SESSION['refer'])."</a><br />\n";

include_once '../sys/inc/tfoot.php';
?>
